var baseApi = "http://www.qichechaijie.net/api/";
//var baseApi = "http://192.168.7.253/api/";
var cameraSetting = {
	"dType_0": 0,
	"dType_1": 0,
	"dType_2": 0,
	"dType_3": 0,
	"dType_4": 0,
	"dType_5": 0,
	"dType_6": 0,
	"dType_7": 0,
	"dType_8": 0,
	"dType_9": 1,
	"dType_11": 0,
	"dType_99": 0
};
var itemSetting = {
	"audioSwitch": 1,
	"rate": 3,
	"vehicleLicenseItem": {
		"plateNo": 1,
		"vehicleType": 1,
		"owner": 1,
		"address": 1,
		"useCharacter": 1,
		"model": 1,
		"vin": 1,
		"engineNo": 1,
		"registerDate": 1,
		"isuseDate": 0
	},
	"djzsItem": {
		"owner": 1,
		"idno": 1,
		"plateNo": 1,
		"vehicleType": 1,
		"model": 1,
		"vin": 1,
		"engineNo": 1,
		"useCharacter": 1,
		"registerDate": 1
	},
	"dqzmItem": {
		"plateNo": 1,
		"brand": 1,
		"model": 1,
		"vehicleType": 1,
		"vin": 1,
		"engineNo": 1,
		"useCharacter": 1,
		"owner": 1,
		"address": 1,
		"registerDate": 1
	},
	"gazwItem": {
		"plateNo": 1,
		"brand": 1,
		"model": 1,
		"vehicleType": 1,
		"vin": 1,
		"engineNo": 1,
		"useCharacter": 1,
		"owner": 1,
		"address": 1,
		"registerDate": 1,
		"curbWeight": 1,
		"carryNumber": 1
	}
}

var initSettings = function() {
	var cameraSettingInfo = localStorage.getItem("cameraSetting");
	if (cameraSettingInfo != "" && cameraSettingInfo != null) {
		var objSetting = JSON.parse(cameraSettingInfo);
		for (p in cameraSetting) {
			if (!objSetting.hasOwnProperty(p)) {
				objSetting[p] = cameraSetting[p];
			}
		}
		localStorage.setItem("cameraSetting", JSON.stringify(objSetting));
	} else {
		localStorage.setItem("cameraSetting", JSON.stringify(cameraSetting));
	}
	var itemSettingInfo = localStorage.getItem("itemSetting");
	if (itemSettingInfo != "" && itemSettingInfo != null) {
		var objSetting = JSON.parse(itemSettingInfo);
		for (p in itemSetting) {
			if (p == "audioSwitch" || p == "rate") {
				if (!objSetting.hasOwnProperty(p)) {
					objSetting[p] = itemSetting[p];
				}
			} else {
				var objChildItemSetting = itemSetting[p];
				for (cp in objChildItemSetting) {
					if (!objSetting[p].hasOwnProperty(cp)) {
						objSetting[p][cp] = objChildItemSetting[cp];
					}
				}
			}
		}
		localStorage.setItem("itemSetting", JSON.stringify(objSetting));
	} else {
		localStorage.setItem("itemSetting", JSON.stringify(itemSetting));
	}
}

var getAccessToken = function(refreshToken, callback) {
	mui.ajax(baseApi + "Auth/token", {
		data: {
			refreshToken: refreshToken
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		headers: {
			'Content-Type': 'application/json'
		},
		success: function(res) {
			callback(res);
		},
		error: function() {

		}
	});
}

var postAjaxReq = function(url, data, successcallback, errorcallback) {
	selectSQL("select * from userinfo order by id desc;", function(d) {
		mui.ajax(baseApi + url, {
			headers: {
				'Content-Type': 'application/json',
				'Authorization': d[0].token,
				'CID': d[0].cid.toString(),
				'UID': d[0].uid.toString()
			},
			data: data,
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			success: function(res) {
				successcallback(res);
			},
			error: function(xhr, type, errorThrown) {
				plus.nativeUI.closeWaiting();
				if (type == 'error') {
					if (xhr.status == 401 || xhr.status == 403) {
						plus.nativeUI.toast("\r\n 登录已过期，即将重新登录 \r\n", {
							verticalAlign: 'center',
							duration: 'long'
						});
						setTimeout(function() {
							plus.runtime.restart();
						}, 1000);
					} else {
						plus.nativeUI.alert("请重试。错误码:" + xhr.status,
							function() {});
					}
				}
				if (type == 'timeout') {
					mui.alert('服务器连接超时，请稍后再试');
				}
				//errorcallback(xhr, type);
			}
		});
	});
}

var getBase64Image = function(img, callback) {
	var canvas = document.createElement("canvas");
	var ctx = canvas.getContext("2d");
	canvas.width = img.width;
	canvas.height = img.height;
	ctx.clearRect(0, 0, canvas.width, canvas.height);
	ctx.drawImage(img, 0, 0, canvas.width, canvas.height);
	var dataUrl = canvas.toDataURL("image/png");
	callback(dataUrl);
}

var getSubmitData = function(dType) {
	var obj = {};
	var type = 1;
	var reg1 = /[\u4E00-\u9FA5]/g;
	var reg2 = /[a-zA-Z]/g;
	var checkState = true;
	var infoType = 0;
	mui("#result-div a").each(function() {
		var info = this;
		var key = this.getAttribute('key');
		var val = this.getAttribute('val').replace('undefined', '');
		if (key.toLowerCase() == "vin" && val.trim() != "") {
			//如果是vin码，并且不为空，则不用处理空格，否则需要处理空格	
		} else {
			val = val.trim()
		}
		if (key == "type") {
			infoType = Number(val);
		}
		obj[key] = val;
	});
	if (checkState) {
		if (dType < 3) {
			return {
				info: JSON.stringify(obj),
				type: infoType
			};
		} else {
			return {
				info: JSON.stringify(obj)
			};
		}
	} else {
		return null;
	}
}

var getResponseData = function(dType, objRet) {
	var objInfo = JSON.parse(objRet);
	if (objInfo.code == 0) {
		var obj = objInfo.data;
		switch (dType) {
			case '0':
				return getGongAnZhuanWangInfo(obj);
				break;
			case '1':
				switch (obj.infoType) {
					case 1:
						return getVehicleLicenseInfo(obj);
						break;
					case 2:
						return getDengJiZhengShuInfo(obj);
						break;
					case 3:
						return getDaoQiangZhengMiingInfo(obj);
						break;
				}
				break;
			case '2':
				switch (obj.infoType) {
					case 1:
						return getIDCardInfo(obj);
						break;
					case 2:
						return getBusinessLicenseInfo(obj);
						break;
				}
				break;
			case '3':
				return getVehicleImageInfo(obj);
				break;
			case '4':
				return getVINImageInfo(obj);
				break;
			case '5':
				return getDisassemblyImageInfo(obj);
				break;
			case '6':
				return getSlicingVINImageInfo(obj);
				break;
			case '7':
				return getCancelCertificateImageInfo(obj);
				break;
			case '8':
			case '9':
			case '10':
			case '11':
			case '12':
				return getTmpVehicleImageInfo(obj);
				break;
			case '99':
				return getNewenergyInfo(obj);
				break;
		}
	} else {
		plus.nativeUI.toast(objInfo.msg);
		var infoHtml = "<p style=\"text-align: center;\">";
		infoHtml += "<i class=\"mui-icon mui-icon-info\" style=\"font-size: 10rem;color: #C7C7CC\"></i>";
		infoHtml += "<br />";
		infoHtml += "<span>" + objInfo.msg + "</span>";
		infoHtml += "</p>";
		return infoHtml;
	}
}

var getVehicleLicenseInfo = function(obj) {
	var plateNo = obj.info.plateNo; // '号牌号码'
	var vehicleType = obj.info.vehicleType; // '车辆类型'
	var owner = obj.info.owner; // '所有人'、车主
	var address = obj.info.address; // '住址'
	var useCharacer = obj.info.useCharacer; // '使用性质'
	var model = obj.info.model; // '品牌型号'、厂牌型号
	var brand = obj.info.brand;
	var vin = obj.info.vin; // '车辆识别代号'、车架号
	var engineNo = obj.info.engineNo; // '发动机号码'、发动机号
	var registerDate = obj.info.registerDate; // '注册日期'、注册登记日期、登记日期
	var isuseDate = obj.info.isuseDate; // '发证日期'
	var carryNumber = obj.info.carryNumber; //核定载客
	var objectName = obj.info.objectName;
	var infoHtml = "";
	infoHtml += getAudioHtml(obj.url);
	infoHtml += "<div class=\"mui-card\" style=\"margin:0px;pading:0px;\" >";
	infoHtml += "<div class=\"mui-card-header\" style=\"text-align:center;\">行驶证信息</div>";
	infoHtml += "<div class=\"mui-card-content\" style=\"padding:0px\">";
	infoHtml += "<a key=\"type\" val=\"" + obj.infoType + "\" style=\"display:none\">" + obj.infoType + "</a>";
	infoHtml += "<a key=\"objectName\" val=\"" + objectName + "\" style=\"display:none\">" + objectName + "</a>";
	infoHtml += "<ul class=\"mui-table-view\">";
	infoHtml += "<li class=\"mui-table-view-cell\">";
	infoHtml += "<a class=\"mui-navigate-right\" title=\"号码号牌\"  key=\"plateNo\" val=\"" + plateNo + "\">号码号牌：" +
		plateNo + "</a>";
	infoHtml += "</li>";
	infoHtml += "<li class=\"mui-table-view-cell\">";
	infoHtml += "<a class=\"mui-navigate-right\" title=\"车辆类型\"  key=\"vehicleType\" val=\"" + vehicleType +
		"\">车辆类型：" +
		vehicleType +
		"</a>";
	infoHtml += "</li>";
	infoHtml += "<li class=\"mui-table-view-cell\">";
	infoHtml += "<a class=\"mui-navigate-right\" title=\"所有人\"  key=\"owner\" val=\"" + owner + "\">所有人：" + owner +
		"</a>";
	infoHtml += "</li>";
	infoHtml += "<li class=\"mui-table-view-cell\">";
	infoHtml += "<a class=\"mui-navigate-right\" title=\"住址\"  key=\"address\" val=\"" + address + "\">住址：" +
		address + "</a>";
	infoHtml += "</li>";
	infoHtml += "<li class=\"mui-table-view-cell\">";
	infoHtml += "<a class=\"mui-navigate-right\" title=\"使用性质\"  key=\"useCharacer\" val=\"" + useCharacer +
		"\">使用性质：" +
		useCharacer +
		"</a>";
	infoHtml += "</li>";
	infoHtml += "<li class=\"mui-table-view-cell\">";
	infoHtml += "<a class=\"mui-navigate-right\" title=\"品牌\"  key=\"brand\" val=\"" + brand + "\">品牌：" + brand +
		"</a>";
	infoHtml += "</li>";
	infoHtml += "<li class=\"mui-table-view-cell\">";
	infoHtml += "<a class=\"mui-navigate-right\" title=\"型号\"  key=\"model\" val=\"" + model + "\">型号：" + model +
		"</a>";
	infoHtml += "</li>";
	infoHtml += "<li class=\"mui-table-view-cell\">";
	infoHtml += "<a class=\"mui-navigate-right\" title=\"车辆识别代码\"  key=\"vin\" val=\"" + vin + "\">车辆识别代码：" + vin +
		"</a>";
	infoHtml += "</li>";
	infoHtml += "<li class=\"mui-table-view-cell\">";
	infoHtml += "<a class=\"mui-navigate-right\" title=\"发动机号\"  key=\"engineNo\" val=\"" + engineNo + "\">发动机号：" +
		engineNo +
		"</a>";
	infoHtml += "</li>";
	infoHtml += "<li class=\"mui-table-view-cell\">";
	infoHtml += "<a class=\"mui-navigate-right\" title=\"注册日期\"  key=\"registerDate\" val=\"" + registerDate +
		"\">注册日期：" +
		registerDate + "</a>";
	infoHtml += "</li>";
	// infoHtml += "<li class=\"mui-table-view-cell\">";
	// infoHtml += "<a class=\"mui-navigate-right\" title=\"发证日期\"  key=\"isuseDate\" val=\"" + isuseDate +
	// 	"\">发证日期：" + isuseDate +
	// 	"</a>";
	// infoHtml += "</li>";
	// infoHtml += "<li class=\"mui-table-view-cell\">";
	// infoHtml += "<a class=\"mui-navigate-right\" title=\"荷载人数\"  key=\"carryNumber\" val=\"" + carryNumber +
	// 	"\">荷载人数：" +
	// 	carryNumber +
	// 	"</a>";
	// infoHtml += "</li>";
	infoHtml += "</ul>";
	infoHtml += "</div>";
	infoHtml += "</div>";

	return infoHtml;
}
var getDengJiZhengShuInfo = function(obj) {
	var reg1 = /[\u4E00-\u9FA5]/g;
	var reg2 = /[a-zA-Z0-9]/g;
	var owner = obj.info.owner //;.match(reg1).join("").replace("组织机构代码证书", "").replace("居民身份证", ""); //车主信息
	var idno = obj.info.idno //;.match(reg2).join(""); //车主身份证号
	var plateNo = obj.info.plateNo; //车牌号
	var vehicleType = obj.info.vehicleType; //车辆类型
	var model = obj.info.model; //型号
	var vin = obj.info.vin; //识别代码
	var useCharacter = obj.info.useCharacter; //使用性质非营运
	var engineNo = obj.info.engineNo; //发动机编号050682
	var registerDate = obj.info.registerDate; //2007-02-12
	var objectName = obj.info.objectName; //发证日期

	var infoHtml = "";
	infoHtml += getAudioHtml(obj.url);
	infoHtml += "<div class=\"mui-card\" style=\"margin:0px;pading:0px;\" >";
	infoHtml += "<div class=\"mui-card-header\" style=\"text-align:center;\">登记证书信息</div>";
	infoHtml += "<div class=\"mui-card-content\" style=\"padding:0px\">";
	infoHtml += "<a key=\"type\" val=\"" + obj.infoType + "\" style=\"display:none\">" + obj.infoType + "</a>";
	infoHtml += "<a key=\"objectName\" val=\"" + objectName + "\" style=\"display:none\">" + objectName + "</a>";
	infoHtml += "<ul class=\"mui-table-view\">";
	infoHtml += "<li class=\"mui-table-view-cell\">";
	infoHtml += "<a class=\"mui-navigate-right\" title=\"机动车所有人\"  key=\"owner\" val=\"" + owner + "\">机动车所有人：" +
		owner +
		"</a>";
	infoHtml += "</li>";
	infoHtml += "<li class=\"mui-table-view-cell\">";
	infoHtml += "<a class=\"mui-navigate-right\" title=\"号码号牌\"  key=\"plateNo\" val=\"" + plateNo +
		"\">号码号牌：" +
		plateNo + "</a>";
	infoHtml += "</li>";
	infoHtml += "<li class=\"mui-table-view-cell\">";
	infoHtml += "<a class=\"mui-navigate-right\" title=\"车主证件号\"  key=\"idno\" val=\"" + idno + "\">车主证件号：" + idno +
		"</a>";
	infoHtml += "</li>";
	infoHtml += "<li class=\"mui-table-view-cell\">";
	infoHtml += "<a class=\"mui-navigate-right\" title=\"车辆类型\"  key=\"vehicleType\" val=\"" + vehicleType +
		"\">车辆类型：" +
		vehicleType +
		"</a>";
	infoHtml += "</li>";
	infoHtml += "</li>";
	infoHtml += "<li class=\"mui-table-view-cell\">";
	infoHtml += "<a class=\"mui-navigate-right\" title=\"车辆型号\"  key=\"model\" val=\"" + model + "\">车辆型号：" +
		model +
		"</a>";
	infoHtml += "</li>";
	infoHtml += "<li class=\"mui-table-view-cell\">";
	infoHtml += "<a class=\"mui-navigate-right\" title=\"车架号\"  key=\"vin\" val=\"" + vin + "\">车架号：" + vin +
		"</a>";
	infoHtml += "</li>";
	infoHtml += "<li class=\"mui-table-view-cell\">";
	infoHtml += "<a class=\"mui-navigate-right\" title=\"发动机号\"  key=\"engineNo\" val=\"" + engineNo + "\">发动机号：" +
		engineNo +
		"</a>";
	infoHtml += "<li class=\"mui-table-view-cell\">";
	infoHtml += "<a class=\"mui-navigate-right\" title=\"使用性质\"  key=\"useCharacter\" val=\"" + useCharacter +
		"\">使用性质：" +
		useCharacter + "</a>";
	infoHtml += "</li>";
	infoHtml += "<li class=\"mui-table-view-cell\">";
	infoHtml += "<a class=\"mui-navigate-right\" title=\"发证日期\"  key=\"registerDate\" val=\"" + registerDate +
		"\">发证日期：" + registerDate +
		"</a>";
	infoHtml += "</li>";
	infoHtml += "</ul>";
	infoHtml += "</div>";
	infoHtml += "</div>";
	return infoHtml;
}
var getDaoQiangZhengMiingInfo = function(obj) {
	var objectName = obj.info.objectName;
	var plateNo = obj.info.plateNo;
	var brand = obj.info.brand; // 品牌       长安牌
	var owner = obj.info.owner; //所有人  胡成义
	var address = obj.info.address; //地址 江苏省沛县栖山镇前何庄3组37号
	var vehicleType = obj.info.vehicleType; //车辆类型 小型面包车
	var model = obj.info.model; //型号 SC6363B3S
	var registerDate = obj.info.registerDate; //注册日期 2010 -11-10
	var vin = obj.info.vin; //车辆识别代码 s4BB3D5F1423
	var useCharacer = obj.info.useCharacer; //使用性质非营运
	var engineNo = obj.info.engineNo; //发动机编号A5EAA141016

	var infoHtml = "";
	infoHtml += getAudioHtml(obj.url);
	infoHtml += "<div class=\"mui-card\" style=\"margin:0px;pading:0px;\" >";
	infoHtml += "<div class=\"mui-card-header\" style=\"text-align:center;\">非盗抢证明信息</div>";
	infoHtml += "<div class=\"mui-card-content\" style=\"padding:0px\">";
	infoHtml += "<a key=\"type\" val=\"" + obj.infoType + "\" style=\"display:none\">" + obj.infoType + "</a>";
	infoHtml += "<a key=\"objectName\" val=\"" + objectName + "\" style=\"display:none\">" + objectName + "</a>";
	infoHtml += "<ul class=\"mui-table-view\">";
	infoHtml += "<li class=\"mui-table-view-cell\">";
	infoHtml += "<a class=\"mui-navigate-right\" title=\"号牌号码\"  key=\"plateNo\" val=\"" + plateNo + "\">号牌号码：" +
		plateNo +
		"</a>";
	infoHtml += "</li>";
	infoHtml += "<li class=\"mui-table-view-cell\">";
	infoHtml += "<a class=\"mui-navigate-right\" title=\"品牌\"  key=\"brand\" val=\"" + brand + "\">品牌：" + brand +
		"</a>";
	infoHtml += "</li>";
	infoHtml += "</li>";
	infoHtml += "<li class=\"mui-table-view-cell\">";
	infoHtml += "<a class=\"mui-navigate-right\" title=\"型号\"  key=\"model\" val=\"" + model + "\">型号：" + model +
		"</a>";
	infoHtml += "</li>";
	infoHtml += "<li class=\"mui-table-view-cell\">";
	infoHtml += "<a class=\"mui-navigate-right\" title=\"车辆类型\"  key=\"vehicleType\" val=\"" + vehicleType +
		"\">车辆类型：" +
		vehicleType +
		"</a>";
	infoHtml += "</li>";
	infoHtml += "</li>";
	infoHtml += "<li class=\"mui-table-view-cell\">";
	infoHtml += "<a class=\"mui-navigate-right\" title=\"车架号\"  key=\"vin\" val=\"" + vin + "\">车架号：" + vin +
		"</a>";
	infoHtml += "</li>";
	infoHtml += "<li class=\"mui-table-view-cell\">";
	infoHtml += "<a class=\"mui-navigate-right\" title=\"发动机号\"  key=\"engineNo\" val=\"" + engineNo + "\">发动机号：" +
		engineNo +
		"</a>";
	infoHtml += "</li>";
	infoHtml += "<li class=\"mui-table-view-cell\">";
	infoHtml += "<a class=\"mui-navigate-right\" title=\"使用性质\"  key=\"useCharacer\" val=\"" + useCharacer +
		"\">使用性质：" +
		useCharacer + "</a>";
	infoHtml += "</li>";
	infoHtml += "<li class=\"mui-table-view-cell\">";
	infoHtml += "<a class=\"mui-navigate-right\" title=\"所有人\"  key=\"owner\" val=\"" + owner + "\">所有人：" + owner +
		"</a>";
	infoHtml += "</li>";
	infoHtml += "<li class=\"mui-table-view-cell\">";
	infoHtml += "<a class=\"mui-navigate-right\" title=\"住址\"  key=\"address\" val=\"" + address + "\">住址：" +
		address + "</a>";
	infoHtml += "</li>";
	infoHtml += "<li class=\"mui-table-view-cell\">";
	infoHtml += "<a class=\"mui-navigate-right\" title=\"登记日期\"  key=\"registerDate\" val=\"" + registerDate +
		"\">登记日期：" + registerDate +
		"</a>";
	infoHtml += "</li>";
	infoHtml += "</ul>";
	infoHtml += "</div>";
	infoHtml += "</div>";
	return infoHtml;
}

var getGongAnZhuanWangInfo = function(obj) {
	var objectName = obj.info.objectName;
	var plateNo = obj.info.plateNo;
	var brand = obj.info.brand; // 品牌       长安牌
	var owner = obj.info.owner; //所有人  胡成义
	var address = obj.info.address; //地址 江苏省沛县栖山镇前何庄3组37号
	var vehicleType = obj.info.vehicleType; //车辆类型 小型面包车
	var model = obj.info.model; //型号 SC6363B3S
	var registerDate = obj.info.registerDate; //注册日期 2010 -11-10
	var vin = obj.info.vin; //车辆识别代码 s4BB3D5F1423
	var useCharacer = obj.info.useCharacer; //使用性质非营运
	var engineNo = obj.info.engineNo; //发动机编号A5EAA141016
	// var curbWeight = obj.info.curbWeight; //使用性质非营运
	var carryNumber = obj.info.carryNumber; //发动机编号A5EAA141016

	var infoHtml = "";
	infoHtml += getAudioHtml(obj.url);
	infoHtml += "<div class=\"mui-card\" style=\"margin:0px;pading:0px;\" >";
	infoHtml += "<div class=\"mui-card-header\" style=\"text-align:center;\">专网信息</div>";
	infoHtml += "<div class=\"mui-card-content\" style=\"padding:0px\">";
	infoHtml += "<a key=\"objectName\" val=\"" + objectName + "\" style=\"display:none\">" + objectName + "</a>";
	infoHtml += "<ul class=\"mui-table-view\">";
	infoHtml += "<li class=\"mui-table-view-cell\">";
	infoHtml += "<a class=\"mui-navigate-right\" title=\"号牌号码\"  key=\"plateNo\" val=\"" + plateNo + "\">号牌号码：" +
		plateNo +
		"</a>";
	infoHtml += "</li>";
	infoHtml += "<li class=\"mui-table-view-cell\">";
	infoHtml += "<a class=\"mui-navigate-right\" title=\"所有人\"  key=\"owner\" val=\"" + owner + "\">所有人：" + owner +
		"</a>";
	infoHtml += "</li>";
	infoHtml += "<li class=\"mui-table-view-cell\">";
	infoHtml += "<a class=\"mui-navigate-right\" title=\"住所住址\"  key=\"address\" val=\"" + address + "\">住所地址：" +
		address + "</a>";
	infoHtml += "</li>";
	infoHtml += "<li class=\"mui-table-view-cell\">";
	infoHtml += "<a class=\"mui-navigate-right\" title=\"中文品牌\"  key=\"brand\" val=\"" + brand + "\">中文品牌：" +
		brand +
		"</a>";
	infoHtml += "</li>";
	infoHtml += "</li>";
	infoHtml += "<li class=\"mui-table-view-cell\">";
	infoHtml += "<a class=\"mui-navigate-right\" title=\"车辆型号\"  key=\"model\" val=\"" + model + "\">车辆型号：" +
		model +
		"</a>";
	infoHtml += "</li>";
	infoHtml += "<li class=\"mui-table-view-cell\">";
	infoHtml += "<a class=\"mui-navigate-right\" title=\"车辆类型\"  key=\"vehicleType\" val=\"" + vehicleType +
		"\">车辆类型：" +
		vehicleType +
		"</a>";
	infoHtml += "</li>";
	infoHtml += "</li>";
	infoHtml += "<li class=\"mui-table-view-cell\">";
	infoHtml += "<a class=\"mui-navigate-right\" title=\"车辆识别代号\"  key=\"vin\" val=\"" + vin + "\">车辆识别代号：" + vin +
		"</a>";
	infoHtml += "</li>";
	infoHtml += "<li class=\"mui-table-view-cell\">";
	infoHtml += "<a class=\"mui-navigate-right\" title=\"发动机号\"  key=\"engineNo\" val=\"" + engineNo + "\">发动机号：" +
		engineNo +
		"</a>";
	infoHtml += "</li>";
	infoHtml += "<li class=\"mui-table-view-cell\">";
	infoHtml += "<a class=\"mui-navigate-right\" title=\"使用性质\"  key=\"useCharacer\" val=\"" + useCharacer +
		"\">使用性质：" +
		useCharacer + "</a>";
	infoHtml += "</li>";
	infoHtml += "<li class=\"mui-table-view-cell\">";
	infoHtml += "<a class=\"mui-navigate-right\" title=\"初次登记日期\"  key=\"registerDate\" val=\"" + registerDate +
		"\">初次登记日期：" + registerDate +
		"</a>";
	infoHtml += "</li>";
	// infoHtml += "<li class=\"mui-table-view-cell\">";
	// infoHtml += "<a class=\"mui-navigate-right\" title=\"核定载质量\"  key=\"curbWeight\" val=\"" + curbWeight +
	// 	"\">核定载质量：" + curbWeight +
	// 	"</a>";
	// infoHtml += "</li>";
	infoHtml += "<li class=\"mui-table-view-cell\">";
	infoHtml += "<a class=\"mui-navigate-right\" title=\"核定载客数\"  key=\"carryNumber\" val=\"" + carryNumber +
		"\">核定载客数：" + carryNumber +
		"</a>";
	infoHtml += "</li>";
	infoHtml += "</ul>";
	infoHtml += "</div>";
	infoHtml += "</div>";
	return infoHtml;
}

var getIDCardInfo = function(obj) {
	var idno = obj.info.idno;
	var name = obj.info.name;
	var objectName = obj.info.objectName;
	var infoHtml = "";
	infoHtml += getAudioHtml(obj.url);
	infoHtml += "<div class=\"mui-card\" style=\"margin:0px;pading:0px;\" >";
	infoHtml += "<div class=\"mui-card-header\" style=\"text-align:center;\">车主身份证信息</div>";
	infoHtml += "<div class=\"mui-card-content\" style=\"padding:0px\">";
	infoHtml += "<a key=\"type\" val=\"" + obj.infoType + "\" style=\"display:none\">" + obj.infoType + "</a>";
	infoHtml += "<a key=\"objectName\" val=\"" + objectName + "\" style=\"display:none\">" + objectName + "</a>";
	infoHtml += "<ul class=\"mui-table-view\">";
	infoHtml += "<li class=\"mui-table-view-cell\">";
	infoHtml += "<a class=\"mui-navigate-right\" title=\"姓名\"  key=\"name\" val=\"" + name + "\">姓名：" + name +
		"</a>";
	infoHtml += "</li>";
	infoHtml += "<li class=\"mui-table-view-cell\">";
	infoHtml += "<a class=\"mui-navigate-right\" title=\"身份证号\"  key=\"idno\" val=\"" + idno + "\">身份证号：" + idno +
		"</a>";
	infoHtml += "</li>";
	// infoHtml += "<li class=\"mui-table-view-cell\">";
	// infoHtml += "<a class=\"mui-navigate-right\" title=\"住址\"  key=\"address\" val=\"" + address + "\">住址：" +
	// 	address + "</a>";
	// infoHtml += "</li>";
	infoHtml += "</ul>";
	infoHtml += "</div>";
	infoHtml += "</div>";
	return infoHtml;
}
var getBusinessLicenseInfo = function(obj) {
	var address = obj.info.address;
	var socialCreditCode = obj.info.socialCreditCode;
	var name = obj.info.companyName;
	var objectName = obj.info.objectName;
	var infoHtml = "";
	infoHtml += getAudioHtml(obj.url);
	infoHtml += "<div class=\"mui-card\" style=\"margin:0px;pading:0px;\" >";
	infoHtml += "<div class=\"mui-card-header\" style=\"text-align:center;\">车主营业执照信息</div>";
	infoHtml += "<div class=\"mui-card-content\" style=\"padding:0px\">";
	infoHtml += "<a key=\"type\" val=\"" + obj.infoType + "\" style=\"display:none\">" + obj.infoType + "</a>";
	infoHtml += "<a key=\"objectName\" val=\"" + objectName + "\" style=\"display:none\">" + objectName + "</a>";
	infoHtml += "<ul class=\"mui-table-view\">";
	infoHtml += "<li class=\"mui-table-view-cell\">";
	infoHtml += "<a class=\"mui-navigate-right\" title=\"单位名称\"  key=\"companyName\" val=\"" + name + "\">单位名称：" +
		name + "</a>";
	infoHtml += "</li>";
	infoHtml += "<li class=\"mui-table-view-cell\">";
	infoHtml += "<a class=\"mui-navigate-right\" title=\"社会信用代码\"  key=\"socialCreditCode\" val=\"" +
		socialCreditCode +
		"\">社会信用代码：" +
		socialCreditCode +
		"</a>";
	infoHtml += "</li>";
	// infoHtml += "<li class=\"mui-table-view-cell\">";
	// infoHtml += "<a class=\"mui-navigate-right\" title=\"地址\"  key=\"address\" val=\"" + address + "\">地址：" +
	// 	address + "</a>";
	// infoHtml += "</li>";
	infoHtml += "</ul>";
	infoHtml += "</div>";
	infoHtml += "</div>";
	return infoHtml;
}
var getVehicleImageInfo = function(obj) {
	var color = obj.info.color;
	var plateNo = obj.info.plateNo;
	var objectName = obj.info.objectName;
	var infoHtml = "";
	infoHtml += getAudioHtml(obj.url);
	infoHtml += "<div class=\"mui-card\" style=\"margin:0px;pading:0px;\">";
	infoHtml += "<div class=\"mui-card-header\">车牌号</div>";
	infoHtml += "<div class=\"mui-card-content\" style=\"padding:15px\">";
	infoHtml += "<a key=\"objectName\" val=\"" + objectName + "\" style=\"display:none\">" + objectName + "</a>";
	infoHtml +=
		"<a class=\"mui-navigate-right\" style=\"font-size:1.5rem;font-weight:bold;\" title=\"车牌号\"  key=\"plateNo\" val=\"" +
		plateNo + "\">" + (plateNo == "" ? "未识别" : plateNo) + "</a>";
	infoHtml += "</div>";
	infoHtml += "</div>";
	var placeNoSettingInfo = localStorage.getItem("placeNoSetting"); //判断场地编号录入是否开始
	infoHtml += "<a key=\"placeNoSwitch\" val=\"" + placeNoSettingInfo + "\" style=\"display:none\">" +
		placeNoSettingInfo + "</a>";
	if (placeNoSettingInfo == "1") {
		infoHtml += "<div class=\"mui-card\"style=\"margin:0px;pading:0px;margin-top:5px;\">";
	} else {
		infoHtml += "<div class=\"mui-card\"style=\"margin:0px;pading:0px;margin-top:5px;display:none\">";
	}
	infoHtml += "<div class=\"mui-card-header\">场地编号</div>";
	infoHtml += "<div class=\"mui-card-content\" style=\"padding:15px\">";
	infoHtml +=
		"<a class=\"mui-navigate-right\" style=\"font-size:1.5rem;font-weight:bold;\" title=\"场地编号\"  key=\"placeNo\" val=''>输入场地编号</a>";
	infoHtml += "</div>";
	infoHtml += "</div>";
	return infoHtml;
}
var getVINImageInfo = function(obj) {
	var vin = obj.info.vin;
	var objectName = obj.info.objectName;
	var infoHtml = "";
	infoHtml += getAudioHtml(obj.url);
	infoHtml += "<div class=\"mui-card\" style=\"margin:0px;pading:0px;\">";
	infoHtml += "<div class=\"mui-card-header\">车架号</div>";
	infoHtml += "<div class=\"mui-card-content\" style=\"padding:15px\">";
	infoHtml += "<a key=\"objectName\" val=\"" + objectName + "\" style=\"display:none\">" + objectName + "</a>";
	infoHtml +=
		"<a class=\"mui-navigate-right\" style=\"font-size:1.5rem;font-weight:bold;\" title=\"车架号\" key=\"vin\" val=\"" +
		vin + "\">" + (vin == "" ? "未识别" : vin) + "</a>";
	infoHtml += "</div>";
	infoHtml += "</div>";
	infoHtml += "<div class=\"mui-card\"style=\"margin:0px;pading:0px;margin-top:5px;\">";
	infoHtml += "<div class=\"mui-card-header\">车牌号</div>";
	infoHtml += "<div class=\"mui-card-content\" style=\"padding:15px\">";
	infoHtml +=
		"<a class=\"mui-navigate-right\" style=\"font-size:1.5rem;font-weight:bold;\" title=\"车牌号\"  key=\"plateNo\" val=''>输入车牌号（至少连续3位）</a>";
	infoHtml += "</div>";
	infoHtml += "</div>";
	return infoHtml;
}
var getDisassemblyImageInfo = function(obj) {
	var plateNo = obj.info.plateNo;
	var objectName = obj.info.objectName;
	var infoHtml = "";
	infoHtml += getAudioHtml(obj.url);
	infoHtml += "<div class=\"mui-card\" style=\"margin:0px;pading:0px;\">";
	infoHtml += "<div class=\"mui-card-header\">车牌号</div>";
	infoHtml += "<div class=\"mui-card-content\" style=\"padding:15px\">";
	infoHtml += "<a key=\"objectName\" val=\"" + objectName + "\" style=\"display:none\">" + objectName + "</a>";
	infoHtml +=
		"<a class=\"mui-navigate-right\" style=\"font-size:1.5rem;font-weight:bold;\" title=\"车牌号\"  key=\"plateNo\" val=\"" +
		plateNo + "\">" + (plateNo == "" ? "未识别" : plateNo) + "</a>";
	infoHtml += "</div>";
	infoHtml += "</div>";
	return infoHtml;
}
var getSlicingVINImageInfo = function(obj) {
	var vin = obj.info.vin;
	var objectName = obj.info.objectName;
	var infoHtml = "";
	infoHtml += getAudioHtml(obj.url);
	infoHtml += "<div class=\"mui-card\" style=\"margin:0px;pading:0px;\">";
	infoHtml += "<div class=\"mui-card-header\">车架号</div>";
	infoHtml += "<div class=\"mui-card-content\" style=\"padding:15px\">";
	infoHtml += "<a key=\"objectName\" val=\"" + objectName + "\" style=\"display:none\">" + objectName + "</a>";
	infoHtml +=
		"<a class=\"mui-navigate-right\" style=\"font-size:1.5rem;font-weight:bold;\" title=\"车架号\" key=\"vin\" val=\"" +
		vin + "\">" + (vin == "" ? "未识别" : vin) + "</a>";
	infoHtml += "</div>";
	infoHtml += "</div>";
	infoHtml += "<div class=\"mui-card\"style=\"margin:0px;pading:0px;margin-top:5px;\">";
	infoHtml += "<div class=\"mui-card-header\">车牌号</div>";
	infoHtml += "<div class=\"mui-card-content\" style=\"padding:15px\">";
	infoHtml +=
		"<a class=\"mui-navigate-right\" style=\"font-size:1.5rem;font-weight:bold;\" title=\"车牌号\"  key=\"plateNo\" val=''>输入车牌号（至少连续3位）</a>";
	infoHtml += "</div>";
	infoHtml += "</div>";
	return infoHtml;
}
var getCancelCertificateImageInfo = function(obj) {
	var vin = obj.info.vin;
	var plateNo = obj.info.plateNo;
	var objectName = obj.info.objectName;
	var infoHtml = "";
	infoHtml += getAudioHtml(obj.url);
	infoHtml += "<div class=\"mui-card\" style=\"margin:0px;pading:0px;\">";
	infoHtml += "<div class=\"mui-card-header\">车架号</div>";
	infoHtml += "<div class=\"mui-card-content\" style=\"padding:15px\">";
	infoHtml += "<a key=\"objectName\" val=\"" + objectName + "\" style=\"display:none\">" + objectName + "</a>";
	infoHtml +=
		"<a class=\"mui-navigate-right\" style=\"font-size:1.5rem;font-weight:bold;\" title=\"车架号\" key=\"vin\" val=\"" +
		vin + "\">" + (vin == "" ? "未识别" : vin) + "</a>";
	infoHtml += "</div>";
	infoHtml += "</div>";
	infoHtml += "<div class=\"mui-card\"style=\"margin:0px;pading:0px;margin-top:5px;\">";
	infoHtml += "<div class=\"mui-card-header\">车牌号</div>";
	infoHtml += "<div class=\"mui-card-content\" style=\"padding:15px\">";
	infoHtml +=
		"<a class=\"mui-navigate-right\" style=\"font-size:1.5rem;font-weight:bold;\" title=\"车牌号\"  key=\"plateNo\" val=\"" +
		plateNo + "\">" + (plateNo == "" ? "未识别" : plateNo) + "</a>";
	infoHtml += "</div>";
	infoHtml += "</div>";
	return infoHtml;
}
var getTmpVehicleImageInfo = function(obj) {
	var vin = obj.info.vin;
	var plateNo = obj.info.plateNo;
	var objectName = obj.info.objectName;
	var tmpType = obj.info.tmpType;
	var infoHtml = "";
	infoHtml += getAudioHtml(obj.url);
	infoHtml += "<div class=\"mui-card\"style=\"margin:0px;pading:0px;margin-top:5px;\">";
	infoHtml += "<div class=\"mui-card-header\">车牌号</div>";
	infoHtml += "<div class=\"mui-card-content\" style=\"padding:15px\">";
	infoHtml +=
		"<a class=\"mui-navigate-right\" style=\"font-size:1.5rem;font-weight:bold;\" title=\"车牌号\"  key=\"plateNo\" val=\"" +
		plateNo + "\">" + (plateNo == "" ? "输入车牌号（至少连续3位）" : plateNo) + "</a>";
	infoHtml += "</div>";
	infoHtml += "</div>";
	infoHtml += "<div class=\"mui-card\" style=\"margin:0px;pading:0px;\">";
	infoHtml += "<div class=\"mui-card-header\">车架号</div>";
	infoHtml += "<div class=\"mui-card-content\" style=\"padding:15px\">";
	infoHtml += "<a key=\"objectName\" val=\"" + objectName + "\" style=\"display:none\">" + objectName + "</a>";
	infoHtml += "<a key=\"tmpType\" val=\"" + tmpType + "\" style=\"display:none\">" + tmpType + "</a>";
	infoHtml +=
		"<a class=\"mui-navigate-right\" style=\"font-size:1.5rem;font-weight:bold;\" title=\"车架号\" key=\"vin\" val=\"" +
		vin + "\">" + (vin == "" ? "输入大架号后四位" : vin) + "</a>";
	infoHtml += "</div>";
	infoHtml += "</div>";
	return infoHtml;
}
var getNewenergyInfo = function(obj) {
	var vin = obj.info.vin;
	var plateNo = obj.info.plateNo;
	var objectName = obj.info.objectName;
	var infoHtml = "";
	infoHtml += getAudioHtml(obj.url);
	infoHtml += "<div class=\"mui-card\"style=\"margin:0px;pading:0px;margin-top:5px;\">";
	infoHtml += "<div class=\"mui-card-header\">车牌号</div>";
	infoHtml += "<div class=\"mui-card-content\" style=\"padding:15px\">";
	infoHtml +=
		"<a class=\"mui-navigate-right\" style=\"font-size:1.5rem;font-weight:bold;\" title=\"车牌号\"  key=\"plateNo\" val=''>输入车牌号（至少连续3位）</a>";
	infoHtml += "</div>";
	infoHtml += "</div>";
	infoHtml += "<div class=\"mui-card\" style=\"margin:0px;pading:0px;\">";
	infoHtml += "<div class=\"mui-card-header\">车架号</div>";
	infoHtml += "<div class=\"mui-card-content\" style=\"padding:15px\">";
	infoHtml += "<a key=\"objectName\" val=\"" + objectName + "\" style=\"display:none\">" + objectName + "</a>";
	infoHtml +=
		"<a class=\"mui-navigate-right\" style=\"font-size:1.5rem;font-weight:bold;\" title=\"车架号\" key=\"vin\" val=''>输入大架号后四位</a>";
	infoHtml += "</div>";
	infoHtml += "</div>";
	return infoHtml;
}

var getAudioHtml = function(url) {
	var audioHtml = "";
	if (url != "") {
		audioHtml += "<div style=\"display:none\">"
		audioHtml += "<audio id=\"audio\" state=\"0\" src=\"" + url + "\" autoplay=\"autoplay\">";
		audioHtml += "</div>";
	}
	return audioHtml;
}
//检查更新
var checkUpdate = function(versionNo, actionType) {
	postAjaxReq("App/checkupdate", {
		v: versionNo,
		t: "1"
	}, function(res) {
		if (res != null && res != "" && res.code == 0) {
			var downUrl = res.data;
			if (downUrl != null && downUrl != "") {
				var btnArray = ['否', '是'];
				mui.confirm('发现新的版本，是否现在更新?', '优效', btnArray, function(e) {
					if (e.index == 1) {
						plus.nativeUI.showWaiting("开始下载更新文件,请稍候...");
						var dtask = plus.downloader.createDownload(downUrl, {
							filename: "_doc/update/"
						}, function(d, status) {
							// 下载完成
							// localStorage.removeItem('itemSetting');
							plus.nativeUI.closeWaiting();
							if (status == 200) {
								plus.nativeUI.showWaiting("正在更新新版本,请稍候...");
								plus.runtime.install(d.filename, {}, function() {
									plus.nativeUI.closeWaiting();
									plus.nativeUI.alert("更新完成！重启优效。",
										function() {
											//localStorage.clear();
											plus.runtime.restart();
										});
								}, function(e) {
									plus.nativeUI.closeWaiting();
									plus.nativeUI.alert("安装更新文件失败[" + e.code +
										"]：" + e.message);
								});
							} else {
								plus.nativeUI.toast("\r\n下载失败！\r\n" + status, {
									'verticalAlign': 'center'
								});
							}
						});
						dtask.start();
					}
				});
			} else {
				if (actionType == 1) {
					plus.nativeUI.toast("\r\n已经是最新版本\r\n", {
						'verticalAlign': 'center'
					});
				}
			}
		} else {
			plus.nativeUI.toast("\r\n" + res.message + "\r\n", {
				'verticalAlign': 'center'
			});
		}
	});
}
var showNotify = function() {
	var notifyId = localStorage.getItem('notify');
	postAjaxReq("App/notify", {
		type: 0
	}, function(res) {
		if (res != null && res != "" && res.code == 0) {
			if (res.data != null && res.data.length > 0) {
				if (notifyId != res.data[0].id) {
					var notifyHtml = "";
					notifyHtml += "<div style=\"text-align:left;padding:0px;\">" + res.data[0].content
						.replace(/\r\n/g, "") + "</div>";
					mui.alert(notifyHtml, '优效更新提示', ['知道了'], function() {
						localStorage.setItem('notify', res.data[0].id);
					}, 'div');
				}
			}
		}
	});
}
var saveImgToGallery = function(imgPath) {
	var cameraSettingInfo = localStorage.getItem("cameraSetting");
	if (cameraSettingInfo != "" && cameraSettingInfo != null) {
		var objSetting = JSON.parse(cameraSettingInfo);
		if (objSetting.dType_8 == 1 && objSetting.dType_99 == 0) {
			plus.gallery.save(imgPath, function() {
				// mui.toast("图片已保存到相册");  
			}, function(e) {
				if (e.code == -3310 || e.code == 8) {
					plus.nativeUI.toast("\r\n您已禁止访问相册,请设置开启权限\r\n", {
						verticalAlign: 'center'
					});
				} else {
					plus.nativeUI.toast("\r\n图片保存失败\r\n", {
						verticalAlign: 'center'
					});
				}
			});
		}
	}
}
var getPrivacy = function(successcallback) {
	mui.ajax("http://qichechaijie.net/privacy.html", {
		dataType: 'html', //服务器返回json格式数据
		type: 'get', //HTTP请求类型
		success: function(res) {
			successcallback(res);
		},
		error: function(xhr, type, errorThrown) {
			console.log("aaaa:" + xhr.status)
		}
	});
}

var clearCacheImage = function(callback) {
	plus.io.resolveLocalFileSystemURL('_doc/', function(entry) {
		//读取这个目录对象    
		var directoryReader = entry.createReader();
		//读取这个目录下的所有文件    
		directoryReader.readEntries(function(entries) {
			for (var i = 0; i < entries.length; i++) {
				if (entries[i].name.indexOf('.') > -1) {
					var fileType = entries[i].name.substr(entries[i].name.lastIndexOf('.'))
					if (fileType.toLowerCase() == ".jpg") {
						plus.io.resolveLocalFileSystemURL(entries[i].fullPath, function(entry) {
							entry.remove(function(e) {}, function(e) {

							});
						});
					}
				}
			}
			callback("success");
		}, function(e) {
			$.toast('清除缓存失败：' + e.message)
		})
	}, function(e) {
		$.toast('清除缓存失败：' + e.message)
	});
}

var backToMain = function() {
	var ary = [];
	var cPage = plus.webview.currentWebview();
	var isMain = true;
	ary.push(cPage);
	while (isMain) {
		cPage = cPage.opener();
		if (cPage.id.toLowerCase() == 'main.html') {
			isMain = false;
		} else {
			ary.push(cPage);
		}
	}
	for (var i = 0; i < ary.length; i++) {
		ary[i].close();
	}
}
